Subject: Re: module dependency files

From: [email-masked]
Date: Wed, 22 Oct 2003 08:14:18 +0100

You'd need to do a MIPS cross-compile of modutils, I guess. As an
alternative there is a perl script (depmod.pl) out there that can handle
'foreign' binaries. I haven't had cause to use it on MIPS yet, but have
used it ok PPC. I think it comes with the busybox package.

Col

                      Jan-Benedict Glaw                                                                                                    
                      <[email-masked]>          To:       [email-masked]                                                     
                      Sent by:                     cc:                                                                                     
                      linux-mips-bounce@lin        Subject:  Re: module dependency files                                                   
                      ux-mips.org                                                                                                          

                      10/22/03 07:57 AM                                                                                                    

On Tue, 2003-10-21 18:15:56 -0400, David Kesselring
<[email-masked]>
wrote in message
<[email-masked]>:
> That's what I did. I defined INSTALL_MOD_PATH as $(TOPDIR)/modules. The
> modules get put there but depmod fails.

depmod works on it's own architecture and I don't recall a way that
would make it work on cross-compiled modules. Maybe you should just copy
over the modules (INSTALL_MOD_PATH is a good start here) and execute
depmod on the target system...

Apart from that, insmod (instead of modprobe) should always work,
though...

MfG, JBG

--
   Jan-Benedict Glaw       [email-masked]    . +49-172-7608481
   "Eine Freie Meinung in  einem Freien Kopf    | Gegen Zensur | Gegen
Krieg
    fuer einen Freien Staat voll Freier Bürger" | im Internet! |   im Irak!
   ret = do_actions((curr | FREE_SPEECH) & ~(NEW_COPYRIGHT_LAW | DRM |
TCPA));

<< Attachment removed : attxmd4r.dat >>